/*
 * StateNode.java
 *
 * Created on 6. listopad 2006, 13:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package osmdam;

/**
 *
 * @author pirko
 */
public class StateNode {
    
    private State state;
    private StateNode parent;
    
    /** Creates a new instance of StateNode */
    public StateNode(State state, StateNode parent) {
        this.setState(state);
        this.setParent(parent);
    }

    public State getState() {
        return state;
    }

    public void setState(State state) {
        this.state = state;
    }

    public StateNode getParent() {
        return parent;
    }

    public void setParent(StateNode parent) {
        this.parent = parent;
    }
    
    public int getDeep() {
        if (getParent() == null)
            return 0;
        else
            return getParent().getDeep() + 1;
    }
}
